org.jboss.jca.core.connectionmanager

## Class ConnectionManagerFactory

- java.lang.Object
- - org.jboss.jca.core.connectionmanager.ConnectionManagerFactory

-     public class ConnectionManagerFactory
      extends java.lang.Object

  The connection manager factory.
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionManagerFactory()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NoTxConnectionManager` | `createNonTransactional(javax.resource.spi.TransactionSupport.TransactionSupportLevel tsl, Pool pool, org.jboss.jca.core.spi.security.SubjectFactory subjectFactory, java.lang.String securityDomain, boolean useCcm, org.jboss.jca.core.api.connectionmanager.ccm.CachedConnectionManager ccm, boolean sharable, boolean enlistment, boolean connectable, java.lang.Boolean tracking, org.jboss.jca.common.api.metadata.common.FlushStrategy flushStrategy, java.lang.Integer allocationRetry, java.lang.Long allocationRetryWaitMillis)` Create a connection manager
    `TxConnectionManager` | `createTransactional(javax.resource.spi.TransactionSupport.TransactionSupportLevel tsl, Pool pool, org.jboss.jca.core.spi.security.SubjectFactory subjectFactory, java.lang.String securityDomain, boolean useCcm, org.jboss.jca.core.api.connectionmanager.ccm.CachedConnectionManager ccm, boolean sharable, boolean enlistment, boolean connectable, java.lang.Boolean tracking, org.jboss.jca.core.api.management.ManagedEnlistmentTrace enlistmentTrace, org.jboss.jca.common.api.metadata.common.FlushStrategy flushStrategy, java.lang.Integer allocationRetry, java.lang.Long allocationRetryWaitMillis, org.jboss.jca.core.spi.transaction.TransactionIntegration txIntegration, java.lang.Boolean interleaving, java.lang.Integer xaResourceTimeout, java.lang.Boolean isSameRMOverride, java.lang.Boolean wrapXAResource, java.lang.Boolean padXid)` Create a transactional connection manager

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionManagerFactory

          public ConnectionManagerFactory()

      Constructor

  - ### Method Detail

    - #### createNonTransactional

          public NoTxConnectionManager createNonTransactional(javax.resource.spi.TransactionSupport.TransactionSupportLevel tsl,
                                                              Pool pool,
                                                              org.jboss.jca.core.spi.security.SubjectFactory subjectFactory,
                                                              java.lang.String securityDomain,
                                                              boolean useCcm,
                                                              org.jboss.jca.core.api.connectionmanager.ccm.CachedConnectionManager ccm,
                                                              boolean sharable,
                                                              boolean enlistment,
                                                              boolean connectable,
                                                              java.lang.Boolean tracking,
                                                              org.jboss.jca.common.api.metadata.common.FlushStrategy flushStrategy,
                                                              java.lang.Integer allocationRetry,
                                                              java.lang.Long allocationRetryWaitMillis)

      Create a connection manager
      Parameters:
        `tsl` - The transaction support level
        `pool` - The pool for the connection manager
        `subjectFactory` - The subject factory
        `securityDomain` - The security domain
        `useCcm` - Should the CCM be used
        `ccm` - The cached connection manager
        `sharable` - Enable sharable connections
        `enlistment` - Enable enlistment connections
        `connectable` - Enable connectable connections
        `tracking` - The tracking status
        `flushStrategy` - The flush strategy
        `allocationRetry` - The allocation retry value
        `allocationRetryWaitMillis` - The allocation retry millis value
      Returns:
        The connection manager instance

    - #### createTransactional

          public TxConnectionManager createTransactional(javax.resource.spi.TransactionSupport.TransactionSupportLevel tsl,
                                                         Pool pool,
                                                         org.jboss.jca.core.spi.security.SubjectFactory subjectFactory,
                                                         java.lang.String securityDomain,
                                                         boolean useCcm,
                                                         org.jboss.jca.core.api.connectionmanager.ccm.CachedConnectionManager ccm,
                                                         boolean sharable,
                                                         boolean enlistment,
                                                         boolean connectable,
                                                         java.lang.Boolean tracking,
                                                         org.jboss.jca.core.api.management.ManagedEnlistmentTrace enlistmentTrace,
                                                         org.jboss.jca.common.api.metadata.common.FlushStrategy flushStrategy,
                                                         java.lang.Integer allocationRetry,
                                                         java.lang.Long allocationRetryWaitMillis,
                                                         org.jboss.jca.core.spi.transaction.TransactionIntegration txIntegration,
                                                         java.lang.Boolean interleaving,
                                                         java.lang.Integer xaResourceTimeout,
                                                         java.lang.Boolean isSameRMOverride,
                                                         java.lang.Boolean wrapXAResource,
                                                         java.lang.Boolean padXid)

      Create a transactional connection manager
      Parameters:
        `tsl` - The transaction support level
        `pool` - The pool for the connection manager
        `subjectFactory` - The subject factory
        `securityDomain` - The security domain
        `useCcm` - Should the CCM be used
        `ccm` - The cached connection manager
        `sharable` - Enable sharable connections
        `enlistment` - Enable enlistment connections
        `connectable` - Enable connectable connections
        `tracking` - The tracking status
        `enlistmentTrace` - The enlistment trace
        `flushStrategy` - The flush strategy
        `allocationRetry` - The allocation retry value
        `allocationRetryWaitMillis` - The allocation retry millis value
        `txIntegration` - The transaction manager integration
        `interleaving` - Enable interleaving
        `xaResourceTimeout` - The transaction timeout for XAResource
        `isSameRMOverride` - Should isSameRM be overridden
        `wrapXAResource` - Should XAResource be wrapped
        `padXid` - Should Xids be padded
      Returns:
        The connection manager instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)